# 70. Mutation: elimina più "Photos"

Elimina le "Foto" multiple selezionate.

{% hint style="info" %}
Le "Foto" create dall'utente possono essere eliminate.
{% endhint %}

{% hint style="danger" %}
La quantità massima di "Foto" da eliminare è 25.
{% endhint %}

{% hint style="danger" %}
Solo le chiavi (`uuid` e `noteUuid`/`commentUuid` a seconda dell'entità padre) sono disponibili nella risposta
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutazione DeleteNotes {
  deleteNotes(input:{
    notes: [{
      uuid: "<placeholder_for_note_uuid>",
      noteUuid: "<placeholder_for_note_uuid>"
    }, {
      uuid: "<placeholder_for_note_uuid>",
      noteUuid: "<placeholder_for_note_uuid>"
    }, {
      uuid: "<placeholder_for_note_uuid>",
      noteUuid: "<placeholder_for_note_uuid>",
      commentUuid: "<placeholder_for_comment_uuid>"
    }, {
      uuid: "<placeholder_for_note_uuid>",
      noteUuid: "<placeholder_for_note_uuid>",
      commentUuid: "<placeholder_for_comment_uuid>"
    }]
  }) {
    uuid
    noteUuid
    commentUuid
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/70.-mutation-elimina-piu-photos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
